Package org.eclipse.m2m.atl.core

## Class ATLCoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.m2m.atl.core.ATLCoreException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ATLCoreException
    extends java.lang.Exception

Exceptions thrown by an ATL Core operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ATLCoreException​(java.lang.String message)` Constructs a new execution exception with the specified detail message.
`ATLCoreException​(java.lang.String message, java.lang.Throwable cause)` Constructs a new execution exception with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ATLCoreException

    public ATLCoreException​(java.lang.String message)

Constructs a new execution exception with the specified detail message.

Parameters:
  `message` - the detail message

#### ATLCoreException

    public ATLCoreException​(java.lang.String message,
                            java.lang.Throwable cause)

Constructs a new execution exception with the specified detail message.

Parameters:
  `message` - the detail message
  `cause` - the cause